from aiohttp import web

from singleton import Singleton
from services.basicservice import BasicService

class DummyProcessing(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases("cases.json")

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post('/payment', handler=self.handler),
                web.post('/cancel', handler=self.handler),
                web.post('/balance', handler=self.handler)]

    async def handler(self, request: web.Request) -> web.Response:
        self.log.info(f"Данные запроса '{await request.text()}'")
        return self._createResponse(request.path)


instance = DummyProcessing()
