import os
import xmltodict
from aiohttp import web

from configparser import ConfigParser
from services.basicservice import BasicService

from singleton import Singleton


class Jnfd(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        conf = ConfigParser()
        conf.read(os.path.join(self.serviceDir, 'config.ini'))
        self.servicePath = conf.get('jnfd', 'path') if conf.has_option('jnfd', 'path') else '/NFDService'
        self._loadCases('cases.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post(self.servicePath, handler=self.req)]

    async def req(self, request: web.Request) -> web.Response:
        body = xmltodict.parse(await request.text())
        self.log.info(f"Данные запроса '{body}'")
        method = list(body["soapenv:Envelope"]["soapenv:Body"].keys())[0]
        print(method)
        return self._createResponse(method)


instance = Jnfd()
