from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton


class KilBil(BasicService, metaclass=Singleton):
    
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('cases.json')
    
    def getRoutes(self) -> list[web.AbstractRouteDef]:        
        return [web.post('/load/searchclient', handler=self.searchClient),
                web.post('/load/processsale', handler=self.processSale),
                web.post('/load/confirmsale', handler=self.confirmSale),
                web.post('/load/searchpromocode', handler=self.searchPromoCode)]
    
    async def searchClient(self, request: web.Request) -> web.Response:
        self.log.info("Поиск клиента")
        return self._createResponse(request.path)
    
    async def processSale(self, request: web.Request) -> web.Response:
        self.log.info("Расчет документа")
        return self._createResponse(request.path)
    
    async def confirmSale(self, request: web.Request) -> web.Response:
        self.log.info("Подтверждение документа")
        return self._createResponse(request.path)
    
    async def searchPromoCode(self, request: web.Request) -> web.Response:
        self.log.info("Поиск промокода")
        return self._createResponse(request.path)
    
instance = KilBil()
