from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton

class Kjno(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('cases.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post('/auth/login', handler=self.login),
                web.get('/kjno-users-info/{cardNumber}', handler=self.checkCard)]
        
    async def login(self, request: web.Request) -> web.Response:
        self.log.info("Авторизация")
        return self._createResponse(request.path)
    
    async def checkCard(self, request: web.Request) -> web.Response:
        self.log.info(f"Проверка карты: {request.match_info['cardNumber']}")
        return self._createResponse(request.path)


instance = Kjno()
