from configparser import ConfigParser
import os
from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton


class Markdown(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        conf = ConfigParser()
        conf.read(os.path.join(self.serviceDir, 'config.ini'))
        self.servicePath = conf.get('markdown', 'path') if conf.has_option('markdown', 'path') else '/exciseMark/status'
        self._loadCases('cases.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post(self.servicePath, handler=self.markdown)]

    async def markdown(self, request: web.Request) -> web.Response:
        self.log.info(f"Данные запроса '{await request.json()}'")
        return self._createResponse(request.path)


instance = Markdown()
