from aiohttp import web

from singleton import Singleton
from services.basicservice import BasicService


class OnlineCheck(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('onlinecheck.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.get('/onlinechecks/{checkId}', handler=self.onlinechecks),
                web.put('/onlinechecks/{checkId}', handler=self.changestatus)]

    async def onlinechecks(self, request: web.Request) -> web.Response:
        self.log.info(f"Запрос чека: '{request.match_info['checkId']}'")
        return self._createResponse(request.path, request.method)

    async def changestatus(self, request: web.Request) -> web.Response:
        self.log.info(f"Изменение статуса чека: '{request.match_info['checkId']}'")
        return self._createResponse(request.path, request.method)


instance = OnlineCheck()
