from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton


class PriorityApi(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('priorityapi.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post('/priorityapi/document', handler=self.document, expect_handler=self.expect),
                web.post('/priorityapi/client', handler=self.client, expect_handler=self.expect)]

    async def expect(self, request: web.Request) -> None:
        pass

    async def document(self, request: web.Request) -> web.Response:
        reqBody = await request.json()
        if 'action' not in reqBody:
            raise web.HTTPBadRequest(text="Отсутствует обязательное поле 'action'")
        self.log.info(f"Расчет чека, метод '{reqBody['action']}'")
        return self._createResponse(request.path, reqBody['action'])

    async def client(self, request: web.Request) -> web.Response:
        self.log.info("метод client")
        return self._createResponse(request.path)


instance = PriorityApi()
