from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton


class RsLoyalty(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('cases.json')
        
    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post("/rsloyalty", handler=self.rsloyaltyCallback)]

    async def rsloyaltyCallback(self, request: web.Request) -> web.Response:
        action = request.headers.get('SOAPAction')
        if action is None:
            raise web.HTTPBadRequest(text="Отсутствует обязательный заголовок 'SOAPAction'")
        action = action.split('/')[-1]
        self.log.info(f"Действие: {action}")
        return self._createResponse(action)


instance = RsLoyalty()
