from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton


class Scales(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('scales.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.get('/getWeight', handler=self.getWeight)]

    async def getWeight(self, request: web.Request) -> web.Response:
        self.log.info('Получение веса')
        return self._createResponse(request.path)


instance = Scales()
