from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton


class SendInfoByArtix(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('cases.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post('/v1/mailing/add', handler=self.mailingAdd)]

    async def mailingAdd(self, request: web.Request) -> web.Response:
        self.log.info('Создание задачи на рассылку')
        return self._createResponse(request.path)


instance = SendInfoByArtix()
