from aiohttp import web

from services.basicservice import BasicService
from singleton import Singleton


class SoftCheck(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)
        self._loadCases('softcheck.json')

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.get('/dicts/softCheck/{checkId}', handler=self.dicts),
                web.post('/sales/softCheck/', handler=self.sales)]

    async def dicts(self, request: web.Request) -> web.Response:
        self.log.info(f"Получение софт-чека с сервера: '{request.match_info['checkId']}'")
        return self._createResponse(request.path if self._hasCases(request.path) else '/dicts/softCheck/<checkId>')

    async def sales(self, request: web.Request) -> web.Response:
        body = await request.json()
        ids = []
        for check in body:
            ids.append(check.get('softcheckid'))
        self.log.info(f"Изменение статуса продажи софт-чеков: '{', '.join(ids)}'")
        return self._createResponse(request.path)


instance = SoftCheck()
